# POST /mj/submit/video

**Method**: `POST`
**Endpoint**: `/mj/submit/video`

This section contains endpoint-specific behavior, parameters, or usage notes for this API.

## Request Parameters

### Header Parameters

```text
Authorization
string
Optional
Default Value:
Bearer {{YOUR_API_KEY}}
```

### Body Parameters application/json

```text
prompt
string
Required
motion
enum<string>
Required
Enum Values:
low
  // provider-specific example normalized for English documentation
high
  // provider-specific example normalized for English documentation
image
string
Required
  // provider-specific example normalized for English documentation
notifyHook
string
Optional
action
enum<string>
Optional
  // provider-specific example normalized for English documentation
Value:
extend
  // provider-specific example normalized for English documentation
index
string
Optional
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
  // provider-specific example normalized for English documentation
task_id
string
Optional
  // provider-specific example normalized for English documentation
Example
{
"prompt"
:
  // provider-specific example normalized for English documentation
,
"motion"
:
"low"
,
"image"
:
"https://cdn.discordapp.com/attachments/1372468820912115716/1388566717961338880/hyper_realistic_3d_rendering_pink_tulip_style_686021570d5ec4451c1c120a.jpg?ex=68617307&is=68602187&hm=f939f10d79de24e3ed0f2c4dc1453c902ee6b383d13d9a1787eacfccfadb9488&"
,
"notifyHook"
:
""
,
"state"
:
"9"
}
```

## Example Request

### Shell

```bash
curl --location --request POST '/mj/submit/video' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
  "prompt": "Example prompt from provider documentation.",
  "motion": "low",
  "image": "https://cdn.discordapp.com/attachments/1372468820912115716/1388566717961338880/hyper_realistic_3d_rendering_pink_tulip_style_686021570d5ec4451c1c120a.jpg?ex=68617307&is=68602187&hm=f939f10d79de24e3ed0f2c4dc1453c902ee6b383d13d9a1787eacfccfadb9488&",
  "notifyHook": "",
  "state": "9"
}'
```

## Response

### 🟢 200 OK

**Content Type**: `application/json`

#### Response Schema

```text
code
integer
<int32>
Required
Status Code: 1 (submission succeeded), 21 (already exists), 22 (queued), other (error)
Example:
1
description
string
Description
Required
Example:
submission succeeded
properties
object
Extended Fields
Optional
result
string
Task ID
Optional
Example:
1320098173412546
```

#### Example

```json
{
    "code": 1,
    "description": "Submit Success",
    "result": "1752813114021206"
}
```

### 🟢 201 Created

### 🟠 401 Unauthorized

### 🟠 403 Forbidden

### 🟠 404 Not Found
